#ifndef _HF_TITLE_
#define _HF_TITLE_

typedef struct Title Title;

#include "game.h"

struct Title {
  bool hover_start;
  bool hover_options;
  bool hover_quit;
  bool hover_credits;
  bool hover_rules;
  Texture2D rules_qr;
};

void title_handle_input(Game *g);
void title_draw(Game *g);
void initialize_title(Game *g);
void run_frame_title(Game *g);

#endif
